gstreamermm: Gst::StreamVolume Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::StreamVolume Class Reference
gstreamermm Interfaces

An interface for elements that provide a stream volume. More...

Inheritance diagram for Gst::StreamVolume:
[legend]
Collaboration diagram for Gst::StreamVolume:
[legend]

List of all members.

## Public Member Functions
virtual | ~StreamVolume ()
GstStreamVolume* | gobj ()
| Provides access to the underlying C GObject.
const GstStreamVolume* | gobj () const
| Provides access to the underlying C GObject.
double | get_volume (Gst::StreamVolumeFormat format)
void | set_volume (Gst::StreamVolumeFormat format, double val)
bool | get_mute ()
void | set_mute (bool mute)
Glib::PropertyProxy< bool > | property_mute ()
| Mute the audio channel without changing the volume.
Glib::PropertyProxy_ReadOnly < bool > | property_mute () const
| Mute the audio channel without changing the volume.
Glib::PropertyProxy< double > | property_volume ()
| Linear volume factor, 1.0=100%.
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| Linear volume factor, 1.0=100%.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static double | convert_volume (Gst::StreamVolumeFormat from, Gst::StreamVolumeFormat to, double val)
## Protected Member Functions
| StreamVolume ()
| You should derive from this class to use it.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::StreamVolume > | wrap (GstStreamVolume* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An interface for elements that provide a stream volume.

## Constructor & Destructor Documentation

Gst::StreamVolume::StreamVolume | ( |  | ) | `[protected]`

You should derive from this class to use it.

virtual Gst::StreamVolume::~StreamVolume | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gst::StreamVolume::add_interface | ( | GType | gtype_implementer | ) | `[static]`

static double Gst::StreamVolume::convert_volume | ( | Gst::StreamVolumeFormat | from,
|  | Gst::StreamVolumeFormat | to,
|  | double | val
| ) |  | `[static]`

Parameters:

  from | Gst::StreamVolumeFormat to convert from.
  to | Gst::StreamVolumeFormat to convert to.
  val | Volume in from format that should be converted.

Returns:
  The converted volume.

bool Gst::StreamVolume::get_mute | ( |  | ) |

Returns:
  Returns `true` if the stream is muted.

static GType Gst::StreamVolume::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

double Gst::StreamVolume::get_volume | ( | Gst::StreamVolumeFormat | format | ) |

Parameters:

  format | Gst::StreamVolumeFormat which should be returned.

Returns:
  The current stream volume as linear factor.

GstStreamVolume* Gst::StreamVolume::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

const GstStreamVolume* Gst::StreamVolume::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

Glib::PropertyProxy< bool > Gst::StreamVolume::property_mute | ( |  | ) |

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

Glib::PropertyProxy_ReadOnly< bool > Gst::StreamVolume::property_mute | ( |  | ) | const

Mute the audio channel without changing the volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

Glib::PropertyProxy< double > Gst::StreamVolume::property_volume | ( |  | ) |

Linear volume factor, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

Glib::PropertyProxy_ReadOnly< double > Gst::StreamVolume::property_volume | ( |  | ) | const

Linear volume factor, 1.0=100%.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented in Gst::PlayBin2, and Gst::Volume.

void Gst::StreamVolume::set_mute | ( | bool | mute | ) |

Parameters:

  mute | Mute state that should be set.

void Gst::StreamVolume::set_volume | ( | Gst::StreamVolumeFormat | format,
|  | double | val
| ) |  |

Parameters:

  format | Gst::StreamVolumeFormat of val.
  val | Linear volume factor that should be set.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::StreamVolume > wrap | ( | GstStreamVolume * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/streamvolume.h